<?php
 /**
  * Sistema Integral de Planificación y Presupuesto (SIPP)
  * @file proyectos-operativos-flujo-avance.tpl.php
  * Drupal part Module to Sistema Integral de Planificación y Presupuesto (SIPP)
  * Copyright 2011 Sistema Automatizado para la Planificación Estratégico-Situacional en la Administración Pública Venezolana (CENDITEL)
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  * 
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  * 
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  *
  * @author Cenditel Merida - Ing. Jose Puentes
  * @date 2015-10-23 // (a&#241;o-mes-dia)
  * @version 0.1 // (0.1)
  */

$state_proyect = $proyecto->_workflow; //estado de transicion del proyecto
?>
<div class="content-top" style="padding-bottom: 30px">
  <h3><?php print t('Estado del Proyecto');?></h3>
  <br>
  <?php foreach($states as $sid => $state): ?>
    <?php if ($sid < $state_proyect): ?>
      <?php $color = "#4c9d3e"; ?>
      <?php $border_column = "#bbb"; ?>
      <?php $style_1 = "border: 1px solid #f98800; height: 5px; width: 2px; background: #f98800; position:absolute; margin-top: -30px; margin-left: 6px;"; ?>
      <?php $style_2 = "border-left: 8px solid transparent; border-right: 8px solid transparent; border-top: 13px solid #f98800; height: 0px; width: 0px; position:absolute; margin-top: -23px;"; ?>
      <?php elseif ($sid == $state_proyect): ?>
        <?php $style_1 = "border: 1px solid #9a6f49; height: 20px; width: 2px; background: #9a6f49; position:absolute; margin-top:-30px; margin-left: 6px;"; ?>
        <?php $style_2 = "border-left: 8px solid transparent; border-right: 8px solid transparent; border-top: 13px solid #9a6f49; height: 0px; width: 0px; position:absolute; margin-top: -9px;"; ?>
        <?php $color = "#459bc8"; ?>
        <?php $border_column =  "#9a6f49" ?>
      <?php else: ?>
        <?php $color = "#fdff00"; ?>
        <?php $border_column = "#bbb"; ?>
        <?php $style_1 = "border: 1px solid #ff0000; height: 5px; width: 2px; background: #ff0000; position:absolute; margin-top:42px; margin-left: 6px;"; ?>
        <?php $style_2 = "border-left: 8px solid transparent; border-right: 8px solid transparent; border-bottom: 13px solid #ff0000; height: 0px; width: 0px; position:absolute; margin-top: 30px;"; ?>
    <?php endif ?>
    <span align="center" style="padding: 10px; border: 2px solid <?php print $border_column; ?>; background:<?php print $color; ?>">
    <span style="<?php print $style_1; ?>"></span>
    <span style="<?php print $style_2; ?>"></span>
    <span style="font-size:12px"><?php print $state; ?></span>
    </span>
  <?php endforeach ?>
</div>
